import 'package:flutter/material.dart';
import 'package:tp2_taquin/Plateau.dart';
import 'package:tp2_taquin/Tile.dart';

import 'exo1.dart';
import 'exo2.dart';
import 'exo6.dart';
import 'jeuDuTaquin.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'TP2',
      theme: ThemeData(
        primarySwatch: Colors.blue,
        visualDensity: VisualDensity.adaptivePlatformDensity,
      ),
      home: MyHomePage(title: 'TP2: Exercices'),
    );
  }
}

class MyHomePage extends StatefulWidget {
  MyHomePage({Key key, this.title}) : super(key: key);
  final String title;

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(widget.title),
      ),
      body: Center(
        child: ListView(
          children: [
             Card(
                child: Column(
                  mainAxisSize: MainAxisSize.min,
                  children: <Widget>[
                     ListTile(
                      trailing: Icon(Icons.play_arrow),
                      title: Text('Exercice 1'),
                      subtitle: Text('Afficher une image'),
                      onTap:() {Navigator.push(context, MaterialPageRoute(builder: (context) =>exo1()));},
                  ),
                ],
              ),
             ),
            Card(
              child: Column(
                mainAxisSize: MainAxisSize.min,
                children: <Widget>[
                   ListTile(
                    trailing: Icon(Icons.play_arrow),
                    title: Text('Exercice 2'),
                    subtitle: Text('Transformer une image'),
                    onTap:() {Navigator.push(context, MaterialPageRoute(builder: (context) =>exo2()));},
                  ),
                ],
              ),
            ),
            Card(
              child: Column(
                mainAxisSize: MainAxisSize.min,
                children: <Widget>[
                  ListTile(
                    trailing: Icon(Icons.play_arrow),
                    title: Text('Exercice 4'),
                    subtitle: Text("Affichage d'une tuile"),
                    onTap:() {Navigator.push(context, MaterialPageRoute(builder: (context) =>DisplayTileWidget()));},
                  ),
                ],
              ),
            ),
            Card(
              child: Column(
                mainAxisSize: MainAxisSize.min,
                children: <Widget>[
                  ListTile(
                    trailing: Icon(Icons.play_arrow),
                    title: Text('Exercice 5'),
                    subtitle: Text("Affichage du plateau"),
                    onTap:() {Navigator.push(context, MaterialPageRoute(builder: (context) =>DisplayPlateauWidget()));},
                  ),
                ],
              ),
            ),
            Card(
              child: Column(
                mainAxisSize: MainAxisSize.min,
                children: <Widget>[
                  ListTile(
                    trailing: Icon(Icons.play_arrow),
                    title: Text('Exercice 6'),
                    subtitle: Text("Animation des tuiles"),
                    onTap:() {Navigator.push(context, MaterialPageRoute(builder: (context) =>PositionedTiles()));},
                  ),
                ],
              ),
            ),
            Card(
              child: Column(
                mainAxisSize: MainAxisSize.min,
                children: <Widget>[
                  ListTile(
                    trailing: Icon(Icons.play_arrow_rounded, color: Colors.red,),
                    title: Text('Jeu du Taquin'),
                    subtitle: Text("Version Finale"),
                    onTap:() {Navigator.push(context, MaterialPageRoute(builder: (context) =>JeuDuTaquin()));},
                  ),
                ],
              ),
            ),
            ],
          ),
        ),
    );
  }
}
